## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           dwayland
Version:        5.25.0
Release:        %autorelease
Summary:        Qt-style Client and Server library wrapper for the Wayland libraries

License:        (LGPL-2.1-only OR LGPL-3.0-only) AND MIT
URL:            https://github.com/linuxdeepin/dwayland

Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  extra-cmake-modules
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5WaylandClient)
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}

BuildRequires:  deepin-wayland-protocols-devel
BuildRequires:  wayland-protocols-devel
BuildRequires:  wayland-devel

Requires:       kf5-filesystem

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt5-qtbase-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake -GNinja
%cmake_build

%install
%cmake_install

%check
# fix error: XDG_RUNTIME_DIR is invalid or not set in the environment
mkdir tmp
export XDG_RUNTIME_DIR="$PWD/tmp"
# https://kojipkgs.fedoraproject.org/work/tasks/5830/111105830/build.log
SKIP_TESTS=
SKIP_TESTS+='kwayland-testWaylandSurface|'
SKIP_TESTS+='kwayland-testWindowmanagement|'
SKIP_TESTS+='kwayland-testXdgDecoration'
%ctest -E $SKIP_TESTS

%files
%license LICENSES/*.txt
%doc README.md
%{_kf5_datadir}/qlogging-categories5/*categories
%{_libdir}/libDWaylandClient.so.5*
%{_libdir}/libDWaylandServer.so.5*

%files devel
%{_libdir}/libDWaylandClient.so
%{_libdir}/libDWaylandServer.so
%{_includedir}/DWayland/
%{_includedir}/dwayland_version.h
%{_libdir}/cmake/DWayland/
%{_qt5_archdatadir}/mkspecs/modules/qt_DWaylandClient.pri

%changelog
## START: Generated by rpmautospec
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.25.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.25.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 07 2024 topazus <topazus@outlook.com> - 5.25.0-2
- rebuild; rhbz#2257097

* Sun Dec 31 2023 topazus <topazus@outlook.com> - 5.25.0-1
- initial import; rhbz#2256341
## END: Generated by rpmautospec
